from message import PromptService, MessageSender

class Message:
  def __init__(self, prompt_service: PromptService, message_sender: MessageSender, \
  recognized_text: str):
    self._prompt_service = prompt_service
    self._message_sender = message_sender
    self._recognized_text = recognized_text

  def has_prompt(self) -> bool:
    return self._prompt_service.has_prompt(self._recognized_text)

  def send(self):
    self._message_sender.send(self._generate_response())

  def _generate_response(self) -> str:
    return self._prompt_service.filter_words_with_prompt(self._recognized_text)